DeluxHostAPI Reference
Account profile

Get account profile

GET
/v1/account/profile

Authorization

apiToken account:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: account:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
userId*string
email*string
name*string
image*null|string
firstName?string
lastName?string
phone?string
address?string
city?string
postalCode?string
region?string
country*string
taxType*string
companyName?string
vatNumber?string
fiscalCode?string
sdiCode?string
sdiPec?string
marketingConsent*boolean
twoFactorEnabled*boolean
emailVerified*boolean
curl -X GET 'https://api.deluxhost.net/v1/account/profile' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "userId": "string",  "email": "string",  "name": "string",  "image": null,  "firstName": "string",  "lastName": "string",  "phone": "string",  "address": "string",  "city": "string",  "postalCode": "string",  "region": "string",  "country": "string",  "taxType": "string",  "companyName": "string",  "vatNumber": "string",  "fiscalCode": "string",  "sdiCode": "string",  "sdiPec": "string",  "marketingConsent": true,  "twoFactorEnabled": true,  "emailVerified": true}